## ros-indigo-roch 1.0.17

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 2.8.3)
project(roch)
find_package(catkin REQUIRED)
catkin_metapackage()

=== debian/changelog ===
ros-indigo-roch (1.0.17-1trusty) trusty; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Chen <gchen@soyrobotics.com>  Sun, 27 May 2018 11:09:09 -0000

ros-indigo-roch (1.0.16-1trusty) trusty; urgency=high

  * Clear package.
  * Remap email and website.
  * Contributors: SawYer-Robotics, doudou0114

 -- Carl <carlzhang@soyrobotics.com>  Tue, 27 Mar 2018 16:00:00 -0000

ros-indigo-roch (1.0.15-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 15 Nov 2017 16:00:00 -0000

ros-indigo-roch (1.0.14-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 17 Sep 2017 16:00:00 -0000

ros-indigo-roch (1.0.13-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sun, 07 May 2017 16:00:00 -0000

ros-indigo-roch (1.0.12-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 29 Mar 2017 16:00:00 -0000

ros-indigo-roch (1.0.11-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 22 Mar 2017 16:00:00 -0000

ros-indigo-roch (1.0.10-1trusty) trusty; urgency=high

  * Adding new package roch_rapps.

 -- Carl <wzhang@softrobtech.com>  Thu, 16 Feb 2017 16:00:00 -0000

ros-indigo-roch (1.0.9-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 06 Feb 2017 16:00:00 -0000

ros-indigo-roch (1.0.8-1trusty) trusty; urgency=high

  * Adding some websites for roch packages.

 -- Carl <wzhang@softrobtech.com>  Sun, 22 Jan 2017 16:00:00 -0000

ros-indigo-roch (1.0.7-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Sat, 21 Jan 2017 16:00:00 -0000

ros-indigo-roch (1.0.6-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Mon, 16 Jan 2017 16:00:00 -0000

ros-indigo-roch (0.1.1-1trusty) trusty; urgency=high



 -- Carl <wzhang@softrobtech.com>  Wed, 23 Nov 2016 16:00:00 -0000

ros-indigo-roch (0.0.1-1trusty) trusty; urgency=high

  * Metapackages for all Roch ROS applications.

 -- Carl <wzhang@softrobtech.com>  Thu, 15 Sep 2016 16:00:00 -0000

=== debian/control ===
Source: ros-indigo-roch
Section: misc
Priority: extra
Maintainer: Chen <gchen@soyrobotics.com>
Build-Depends: debhelper (>= 9.0.0), ros-indigo-catkin
Homepage: http://ros.org/wiki/roch
Standards-Version: 3.9.2

Package: ros-indigo-roch
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-indigo-roch-bringup, ros-indigo-roch-follower, ros-indigo-roch-navigation, ros-indigo-roch-teleop
Description: roch Project

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/indigo/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/indigo" \
		-DCMAKE_PREFIX_PATH="/opt/ros/indigo"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-indigo-roch//opt/ros/indigo/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/indigo/setup.sh" ]; then . "/opt/ros/indigo/setup.sh"; fi && \
	dh_auto_install
